typedef union {
	const char      *v_str;
	double	         v_float;
	int		 v_int;
	gboolean	 v_bool;
	GSList	        *list;

	struct {
		const char *name;
		gboolean    as_new;
	} v_dim_type;

	struct {
		gboolean    is_array;
		GSList     *indices;
	} v_array;
	GBIndex            *v_index;

	GBValue		   *value;
	const GBExpr	   *expr;
	const GBStatement  *stmt;
	GBObjRef           *objr;
	GBArgDesc          *v_arg;
	GBSelectCase       *v_case;
	GBVar              *v_var;
	
	GBFormItem         *v_form_item;
	GBFormProperty     *v_form_prop;
	GBClassProperty    *v_class_prop;
} YYSTYPE;
#define	NAME	257
#define	STRING	258
#define	FRX	259
#define	FLOAT	260
#define	SINGLE	261
#define	INTEGER	262
#define	LONG	263
#define	GB_GE	264
#define	GB_LE	265
#define	GB_MOD	266
#define	GB_ARG_ASSIGN	267
#define	GB_IS	268
#define	GB_EQV	269
#define	GB_LIKE	270
#define	GB_IMP	271
#define	GB_AND	272
#define	GB_OR	273
#define	GB_XOR	274
#define	GB_NOT	275
#define	GB_LEXTYPE_ASP	276
#define	GB_LEXTYPE_FILE	277
#define	GB_LEXTYPE_EXPR	278
#define	GB_LEXTYPE_STATEMENTS	279
#define	GB_ACTIVATE	280
#define	GB_ALIAS	281
#define	GB_AS	282
#define	GB_ATTRIBUTE	283
#define	GB_APPEND	284
#define	GB_BASE	285
#define	GB_BEGIN	286
#define	GB_BEEP	287
#define	GB_CALL	288
#define	GB_CASE	289
#define	GB_CLASS	290
#define	GB_CLOSE	291
#define	GB_COMPARE	292
#define	GB_CONST	293
#define	GB_DATE	294
#define	GB_DECLARE	295
#define	GB_DEFTYPE	296
#define	GB_DELETESETTING	297
#define	GB_DIM	298
#define	GB_DO	299
#define	GB_EACH	300
#define	GB_ELSE	301
#define	GB_END	302
#define	GB_ELSE_IF	303
#define	GB_ERASE	304
#define	GB_ERROR	305
#define	GB_EXIT	306
#define	GB_EXPLICIT	307
#define	GB_FALSE	308
#define	GB_FILECOPY	309
#define	GB_FOR	310
#define	GB_FUNCTION	311
#define	GB_GET	312
#define	GB_GLOBAL	313
#define	GB_GOSUB	314
#define	GB_GOTO	315
#define	GB_IF	316
#define	GB_INPUT	317
#define	GB_KILL	318
#define	GB_LSET	319
#define	GB_LET	320
#define	GB_LIB	321
#define	GB_LEN	322
#define	GB_LINE	323
#define	GB_LOAD	324
#define	GB_LOCK	325
#define	GB_LOOP	326
#define	GB_MID	327
#define	GB_MKDIR	328
#define	GB_NAME	329
#define	GB_NEXT	330
#define	GB_ON	331
#define	GB_OPEN	332
#define	GB_OPTION	333
#define	GB_OUTPUT	334
#define	GB_PRINT	335
#define	GB_PRIVATE	336
#define	GB_PROPERTY	337
#define	GB_PUBLIC	338
#define	GB_PUT	339
#define	GB_RSET	340
#define	GB_RANDOM	341
#define	GB_RANDOMIZE	342
#define	GB_REDIM	343
#define	GB_REM	344
#define	GB_RESET	345
#define	GB_RESUME	346
#define	GB_RETURN	347
#define	GB_RMDIR	348
#define	GB_RND	349
#define	GB_SAVESETTING	350
#define	GB_SCALE	351
#define	GB_SEEK	352
#define	GB_SELECT	353
#define	GB_SENDKEYS	354
#define	GB_SET	355
#define	GB_SETATTR	356
#define	GB_STATIC	357
#define	GB_STOP	358
#define	GB_SUB	359
#define	GB_THEN	360
#define	GB_TIME	361
#define	GB_TRUE	362
#define	GB_TYPE	363
#define	GB_UNLOAD	364
#define	GB_UNLOCK	365
#define	GB_VERSION	366
#define	GB_WEND	367
#define	GB_WHILE	368
#define	GB_WIDTH	369
#define	GB_WITH	370
#define	GB_WITH_EVENTS	371
#define	GB_WRITE	372
#define	GB_NEW	373
#define	GB_TO	374
#define	GB_STEP	375
#define	GB_PARAM_ARRAY	376
#define	GB_BYREF	377
#define	GB_BYVAL	378
#define	GB_OPTIONAL	379
#define	GB_NOTHING	380
#define	GB_IN	381
#define	GB_BINARY	382
#define	GB_TEXT	383
#define	GB_DATABASE	384
#define	GB_MODULE	385
#define	GB_UNTIL	386
#define	GB_PRESERVE	387
#define	GB_ASP_START	388
#define	GB_ASP_START_AT	389
#define	GB_ASP_START_EXPR	390
#define	GB_ASP_END	391
#define	GB_BEGIN_PROPERTY	392
#define	GB_END_PROPERTY	393
#define	GB_OBJECT	394
#define	GB_KEEP_LOOKING	395
#define	GB_SPACE_DOT	396
#define	GB_NE	397
#define	UNARY_NEG	398
#define	UNARY_POS	399

